<template>
  <div class="row">
    <div class="col-md-7 col-lg-7">
      <div class="sidenav">          
          <!--<img src="../assets/avila.jpeg" width="60px" height="60px" class="float-left">-->
        </div>
    </div>
    <div class="col-md-5 col-lg-5">
      <div class="main row vh-100 justify-content-center align-items-center">
        <div class="login-form">
            <h3 style="color:black;font-weight:bold;">Registrarse</h3>
                        <br />
          <form @submit.prevent="send">
            <div class="form-group">
                <div class="row mr-0">
                    <div class="col-6">
                        <input type="text" class="form-control" placeholder="Cédula *" v-model="cedula" required/>
                    </div>
                    <div class="col-6 m-0 p-0">
                        <!--<input type="text" class="form-control" placeholder="telefono" v-model="telefono" />-->
                        <VuePhoneNumberInput placeholder="Teléfono" v-model="telefono" default-country-code="VE" no-country-selector required/>

                    </div>
                </div>
            </div>
            <br />
            <div class="form-group">
            <date-picker class="w-100"
                placeholder="Fecha de Nacimiento *" v-model="fecha_nacimiento" type="date" required></date-picker>

            </div>
             <br />
            <div class="form-group">
              <input
                type="email"
                class="form-control"
                placeholder="Correo *"
                v-model="correo"
                required
              />
            </div>
            <br />
            <div class="form-group">
              <input
                type="password"
                class="form-control"
                placeholder="Contraseña *"
                v-model="password"
                required
              />
            </div>
            <br />
            <div class="form-group">
              <button type="submit" class="btn w-100" style="background:#212741;color:#fff" :disabled="sending">
                {{btn}}
                <div class="uil-reload-css reload-small" v-show="sending">
                    <div></div>
                </div>
              </button>
            </div>
            <div class="mt-5">Ya tienes una cuenta? <router-link to="/" style="color:#210139;">Iniciar sesión</router-link></div>

            <!--<button type="submit" class="btn btn-secondary">Register</button>-->
          </form>
        </div>
      </div>
    </div>
  </div>
</template>
<style>
.mx-input{
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
html {
  width: 100%;
  height: 100%;
}
h3{
    border-left:6px #1ed0d4 solid;
}
.row {
  width: 100%;
  height: 100%;
}
body {
  font-family: "Lato", sans-serif;
}

.main-head {
  height: 150px;
  background: #fff;
}
.sidenav {
  height: 100%;
  background: url("../assets/logo.jpeg") no-repeat center center fixed;
 -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

.main {
  padding: 0px 10px;
}

.login-main-text {
  margin-top: 20%;
  padding: 60px;
  color: #000;
}

.login-main-text h2 {
  font-weight: 300;
}

.btn-black {
  background-color: #000 !important;
  color: #fff;
}
</style>
<script>
//import Login from '@/components/Login.vue'
/* eslint-disable */
import VuePhoneNumberInput from 'vue-phone-number-input';

export default {
 
  name: "RegisterView",
  components: {
    VuePhoneNumberInput,
  },
   data () {
    return {
         cedula:'',
         password:'',
         fecha_nacimiento:null,
         correo:'',
         telefono:'',
         sending:false,
         btn:"Registrarse"    
         }
  },
  methods: {
      send(){
          this.sending=true
          this.btn='Registrando...'
          this.axios.post("http://localhost:8050/register",{ci:this.cedula,pass:this.password,fdn:this.fecha_nacimiento,email:this.correo,telf:this.telefono}).then(response=>{
              console.log(response)
              this.btn='Registrarse'
              this.sending=false
          }).catch(error=>{
              console.log(error)
          })
      }
  },
 
  
};
</script>